PETSc version 3.17.4
Fix/Edit manual page

# DMPlexMetricCreateUniform

Construct a uniform isotropic metric

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricCreateUniform(DM dm, PetscInt f, PetscReal alpha, Vec *metric)

### Input parameters

| dm | - The DM
| f | - The field number to use
| alpha | - Scaling parameter for the diagonal

### Output parameter

| metric | - The uniform metric

Note: In this case, the metric is constant in space and so is only specified for a single vertex.

### See Also

DMPlexMetricCreate(), DMPlexMetricCreateIsotropic()

### Level

beginner

### Location

src/dm/impls/plex/plexmetric.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages